# Generated by sila2.code_generator; sila2.__version__: 0.12.2
from __future__ import annotations

from typing import Optional

from sila2.framework.errors.defined_execution_error import DefinedExecutionError

from .dataaggregatorcontroller_feature import DataAggregatorControllerFeature


class AggregationError(DefinedExecutionError):
    def __init__(self, message: Optional[str] = None):
        if message is None:
            message = "Could not Aggregate Data"
        super().__init__(DataAggregatorControllerFeature.defined_execution_errors["AggregationError"], message=message)
